package routes

import (
  "net/http"

  "github.com/flamego/template"

  "git.metaunix.net/bitgoblin/blt/models"
)

func ProjectGetList(t template.Template, data template.Data) {
  // add projects to template
  var projects []models.Project
  models.DB.Find(&projects)
  data["projects"] = projects

  data["title"] = "List of Projects"
  t.HTML(http.StatusOK, "project/list")
}

func ProjectGetCreate(t template.Template, data template.Data) {
  data["title"] = "Create a Project"
  t.HTML(http.StatusOK, "project/create")
}
